# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.69"
name = "leo-ast"
version = "1.7.3"
authors = ["The Aleo Team <hello@aleo.org>"]
include = [
    "Cargo.toml",
    "src",
    "README.md",
    "LICENSE.md",
]
description = "Abstract syntax tree (AST) for the Leo programming language"
homepage = "https://aleo.org"
readme = "README.md"
keywords = [
    "aleo",
    "cryptography",
    "leo",
    "programming-language",
    "zero-knowledge",
]
categories = [
    "compilers",
    "cryptography",
    "web-programming",
]
license = "GPL-3.0"
repository = "https://github.com/AleoHQ/leo"

[dependencies.indexmap]
version = "1.9"
features = ["serde-1"]

[dependencies.itertools]
version = "0.10.5"

[dependencies.leo-errors]
version = "1.7.3"

[dependencies.leo-span]
version = "1.7.3"

[dependencies.serde]
version = "1.0"
features = [
    "derive",
    "rc",
]

[dependencies.serde_json]
version = "1.0"
features = ["preserve_order"]

[dependencies.smallvec]
version = "1.10.0"
features = ["serde"]

[dev-dependencies.criterion]
version = "0.5"

[features]
ci_skip = []
default = []
